## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream's tests now require a docker daemon to be running. 🤦
%bcond_with     tests

%global         srcname     azure-mgmt-keyvault

Name:           python-%{srcname}
Version:        10.3.0
Release:        %autorelease
Summary:        Microsoft Azure Keyvault Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Keyvault Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 10.3.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 10.3.0-1
- Update to 10.3.0 rhbz#2249655

* Wed Sep 06 2023 Major Hayden <major@redhat.com> - 10.2.3-1
- Update to 10.2.3

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 10.2.2-1
- Update to 10.2.2 rhbz#2219715

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 10.2.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 10.2.0-2
- S

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 10.2.0-1
- Update to 10.2.0 rhbz#2184352

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 07 2022 Major Hayden <major@redhat.com> - 10.1.0-1
- Update to 10.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 9.3.0-4
- Add import check; Use github source

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 9.3.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> - 9.3.0-1
- Update to 9.3.0

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 9.2.0-1
- Update to 9.2.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 9.1.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 9.1.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 9.1.0-1
- Update to 9.1.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 9.0.0-3
- Remove requirements patch

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 9.0.0-1
- Initial import (#1971816)
## END: Generated by rpmautospec
